diff --git a/TeXmacs/doc/main/layout/man-float.de.tm b/TeXmacs/doc/main/layout/man-float.de.tm
index c54eb070d..f3aae8fe8 100644
--- a/TeXmacs/doc/main/layout/man-float.de.tm
+++ b/TeXmacs/doc/main/layout/man-float.de.tm
@@ -1,33 +1,33 @@
-<TeXmacs|1.0.4.5>
+<TeXmacs|2.1.2>
 
-<style|tmdoc>
+<style|<tuple|tmdoc|german|old-spacing|old-dots|old-lengths>>
 
 <\body>
   <tmdoc-title|Bewegliche Objekte>
 
-  Bewegliche Objekte d黵fen auf der Seite unabh鋘gig vom Haupt-Text
+  Bewegliche Objekte d锟絩fen auf der Seite unabh锟絥gig vom Haupt-Text
   positioniert werden. Normalerweise enthalten sie Abbildungen oder Tabellen,
-  die zu gro sind, um leicht in den Haupt-Text zu passen. Ein solches Objekt
-  wird mit <menu|Format|Page insertion|Floating object> erzeugt.
-
-  Sie k鰊nen aber auch ein bewegliches Objekt, erstellen, das eine Abbildung
-  oder eine Tabelle, enth鋖t. Dazu dienen die Befehle <menu|Format|Page
-  insertion|Floating figure> bzw. <menu|Format|Page insertion|Floating
-  table>. Manchmal will man aber mehrere kleine Abbildungen oder Tabellen in
-  einem beweglichen Objekt unterbringen. Man kann dies mit den Befehlen
+  die zu gro锟?sind, um leicht in den Haupt-Text zu passen. Ein solches Objekt
+  wird mit <menu|Insert|Note|Floating object> erzeugt.
+
+  Sie k锟絥nen aber auch ein bewegliches Objekt, erstellen, das eine Abbildung
+  oder eine Tabelle, enth锟絣t. Dazu dienen die Befehle
+  <menu|Insert|Note|Floating figure> bzw. <menu|Insert|Note|Floating table>.
+  Manchmal will man aber mehrere kleine Abbildungen oder Tabellen in einem
+  beweglichen Objekt unterbringen. Man kann dies mit den Befehlen
   <menu|Insert|Image|Small figure> bzw. <menu|Insert|Table|Small table>.
 
-  Nachdem Sie ein bewegliches Objekt erzeugt haben, k鰊nen Sie im gewissen
-  Umfang steuern, wo dieses Objekt eingef黦t werden soll. Dazu dient das Men?-  \ <menu|Format|Page insertion|Position float>. Dazu m黶sen Sie sich aber
-  innerhalb des beweglichen Objektes befinden. Sie k鰊nen festlegen, dass das
-  bewegliche Objekt \R<localize|top>`` auf der Seite, \R<localize|bottom>``,
-  \ \R<localize|here>`` oder auf \R<localize|other pages>`` erscheint. Die
-  Voreinstellung ist 黚erall. Ein bewegliches Objekt wird, sofern es nicht
+  Nachdem Sie ein bewegliches Objekt erzeugt haben, k锟絥nen Sie im gewissen
+  Umfang steuern, wo dieses Objekt eingef锟絞t werden soll. Dazu dient das Men锟?+  \ <menu|Focus|Allowed positions>. Dazu m锟絪sen Sie sich aber innerhalb des
+  beweglichen Objektes befinden. Sie k锟絥nen festlegen, dass das bewegliche
+  Objekt \R<localize|top>\P auf der Seite, \R<localize|bottom>\P,
+  \ \R<localize|here>\P oder auf \R<localize|other pages>\P erscheint. Die
+  Voreinstellung ist 锟絙erall. Ein bewegliches Objekt wird, sofern es nicht
   alleine auf einer Seite steht, nie weniger als drei Zeilen von der oberen
   oder der unteren Seitengrenze entfernt sein.
 
-  <tmdoc-copyright|1998--2002|Joris van der Hoeven>
+  <tmdoc-copyright|1998\U2002|Joris van der Hoeven>
 
   <tmdoc-license|Permission is granted to copy, distribute and/or modify this
   document under the terms of the GNU Free Documentation License, Version 1.1
@@ -37,8 +37,5 @@
   Documentation License".>
 </body>
 
-<\initial>
-  <\collection>
-    <associate|language|german>
-  </collection>
-</initial>
\ No newline at end of file
+<initial|<\collection>
+</collection>>
\ No newline at end of file
diff --git a/TeXmacs/doc/main/layout/man-float.es.tm b/TeXmacs/doc/main/layout/man-float.es.tm
index bccc6b66a..6ee2ed65c 100644
--- a/TeXmacs/doc/main/layout/man-float.es.tm
+++ b/TeXmacs/doc/main/layout/man-float.es.tm
@@ -1,110 +1,49 @@
-<TeXmacs|1.0.1>
+<TeXmacs|2.1.2>
 
-<style|tmdoc>
+<style|<tuple|tmdoc|spanish|old-spacing|old-dots|old-lengths>>
 
 <\body>
-  <expand|tmdoc-title|Objetos flotantes>
+  <tmdoc-title|Objetos flotantes>
 
   A los objetos flotantes se les permite desplazarse por la p醙ina
   independientemente del cuerpo del texto. Normalmente, los flotantes
   contienen figuras o tablas demasiado grandes para ajustar bien en el cuerpo
-  del texto. Se insertan usando <apply|menu|Format|Page insertion|Floating
-  object>.
+  del texto. Se insertan usando <menu|Insert|Note|Floating object>.
 
   Puede tambi閚 en un objeto flotante insertar directamente una figura o
-  tabla, mediante <apply|menu|Format|Page insertion|Floating figure> o,
-  respectivamente, <apply|menu|Format|Page insertion|Floating table>. Sin
-  embargo a veces es posible que uno quiera ubicar varias figuras o tablas
-  peque馻s dentro de un mismo objeto flotante. Puede hacer esto mediante
-  <apply|menu|Insert|Image|Small figure> en el caso de las figuras y
-  <apply|menu|Insert|Table|Small table> en el caso de las tablas.
+  tabla, mediante <menu|Insert|Note|Floating figure> o, respectivamente,
+  <menu|Insert|Note|Floating table>. Sin embargo a veces es posible que uno
+  quiera ubicar varias figuras o tablas peque馻s dentro de un mismo objeto
+  flotante. Puede hacer esto mediante <menu|Insert|Image|Small figure> en el
+  caso de las figuras y <menu|Insert|Table|Small table> en el caso de las
+  tablas.
 
   Una vez creado un flotante, puedes controlar su posici髇 usando, desde
-  dentro del flotante, <apply|menu|Insert|Position float>. Puedes especificar
-  si se debe permitir al objeto flotante aparecer al principio de la p醙ina,
-  al final, directamente en el texto (``aqu?') o en otra p醙ina. Por defecto
-  a los flotantes les est醤 permitidas todas estas opciones. Existe una
+  dentro del flotante, <menu|Focus|Allowed positions>. Puedes especificar si
+  se debe permitir al objeto flotante aparecer al principio de la p醙ina, al
+  final, directamente en el texto (\Paqu韁Q) o en otra p醙ina. Por defecto a
+  los flotantes les est醤 permitidas todas estas opciones. Existe una
   excepci髇: un flotante nunca aparecer?en el cuerpo del texto a menos de
   tres l韓eas del principio o del final de una p醙ina.
 
-  <apply|tmdoc-copyright|1998--2002|Joris van der Hoeven|羖varo Cantero
+  <tmdoc-copyright|1998\U2002|Joris van der Hoeven|羖varo Cantero
   Tejero|Pablo Ruiz M鷝quiz|David Moriano Garcia|Offray Vladimir Luna
   C醨denas>
 
-  <expand|tmdoc-license|Se garantiza el permiso para copiar, distribuir y/o
+  <tmdoc-license|Se garantiza el permiso para copiar, distribuir y/o
   modificar este documento bajo los terminos de la GNU Free Documentation
   License, Versi髇 1.1 o cualquier versi髇 posterior publicada por la Free
   Software Foundation; sin Secciones Invariantes, sin Textos de Portada, y
   sin Textos de Contraportada. Una copia de la licencia est?incluida en la
   secci髇 titulada "GNU Free Documentation License".>
 
-  <expand|tmdoc-license|Permission is granted to copy, distribute and/or
-  modify this document under the terms of the GNU Free Documentation License,
-  Version 1.1 or any later version published by the Free Software Foundation;
-  with no Invariant Sections, with no Front-Cover Texts, and with no
-  Back-Cover Texts. A copy of the license is included in the section entitled
-  "GNU Free Documentation License".>
+  <tmdoc-license|Permission is granted to copy, distribute and/or modify this
+  document under the terms of the GNU Free Documentation License, Version 1.1
+  or any later version published by the Free Software Foundation; with no
+  Invariant Sections, with no Front-Cover Texts, and with no Back-Cover
+  Texts. A copy of the license is included in the section entitled "GNU Free
+  Documentation License".>
 </body>
 
-<\initial>
-  <\collection>
-    <associate|paragraph width|150mm>
-    <associate|odd page margin|30mm>
-    <associate|shrinking factor|4>
-    <associate|page right margin|30mm>
-    <associate|page top margin|30mm>
-    <associate|reduction page right margin|25mm>
-    <associate|page type|a4>
-    <associate|reduction page bottom margin|15mm>
-    <associate|even page margin|30mm>
-    <associate|reduction page left margin|25mm>
-    <associate|page bottom margin|30mm>
-    <associate|reduction page top margin|15mm>
-    <associate|language|spanish>
-  </collection>
-</initial>
-
-<\references>
-  <\collection>
-    <associate|idx-10|<tuple|<uninit>|?>>
-    <associate|idx-1|<tuple|<uninit>|?>>
-    <associate|idx-11|<tuple|<uninit>|?>>
-    <associate|idx-2|<tuple|<uninit>|?>>
-    <associate|idx-3|<tuple|<uninit>|?>>
-    <associate|idx-4|<tuple|<uninit>|?>>
-    <associate|idx-5|<tuple|<uninit>|?>>
-    <associate|idx-6|<tuple|<uninit>|?>>
-    <associate|idx-7|<tuple|<uninit>|?>>
-    <associate|idx-8|<tuple|<uninit>|?>>
-    <associate|idx-9|<tuple|<uninit>|?>>
-  </collection>
-</references>
-
-<\auxiliary>
-  <\collection>
-    <\associate|idx>
-      <tuple|<tuple|<with|font family|<quote|ss>|Insertar>|<with|font
-      family|<quote|ss>|Inserci髇 de p醙ina>|<with|font
-      family|<quote|ss>|Objeto flotante>>|<pageref|idx-1>>
-
-      <tuple|<tuple|<with|font family|<quote|ss>|Insertar>|<with|font
-      family|<quote|ss>|Inserci髇 de p醙ina>|<with|font
-      family|<quote|ss>|Figura flotante>>|<pageref|idx-2>>
-
-      <tuple|<tuple|<with|font family|<quote|ss>|Insertar>|<with|font
-      family|<quote|ss>|Inserci髇 de p醙ina>|<with|font
-      family|<quote|ss>|Tabla flotante>>|<pageref|idx-3>>
-
-      <tuple|<tuple|<with|font family|<quote|ss>|Insertar>|<with|font
-      family|<quote|ss>|Imagen>|<with|font family|<quote|ss>|Figura
-      peque馻>>|<pageref|idx-4>>
-
-      <tuple|<tuple|<with|font family|<quote|ss>|Insertar>|<with|font
-      family|<quote|ss>|Tabla>|<with|font family|<quote|ss>|Tabla
-      peque馻>>|<pageref|idx-5>>
-
-      <tuple|<tuple|<with|font family|<quote|ss>|Insertar>|<with|font
-      family|<quote|ss>|Ubicar flotante>>|<pageref|idx-6>>
-    </associate>
-  </collection>
-</auxiliary>
+<initial|<\collection>
+</collection>>
\ No newline at end of file
diff --git a/TeXmacs/doc/main/layout/man-float.fr.tm b/TeXmacs/doc/main/layout/man-float.fr.tm
index 644a44858..3c1297500 100644
--- a/TeXmacs/doc/main/layout/man-float.fr.tm
+++ b/TeXmacs/doc/main/layout/man-float.fr.tm
@@ -1,96 +1,39 @@
-<TeXmacs|1.0.1.10>
+<TeXmacs|2.1.2>
 
-<style|tmdoc>
+<style|<tuple|tmdoc|french|old-spacing|old-dots|old-lengths>>
 
 <\body>
-  <expand|tmdoc-title|Objets flottants>
+  <tmdoc-title|Objets flottants>
 
   Les objets flottants peuvent 阾re d閜lac閟 dans la page ind閜endamment du
   texte principal. Ils contiennent, en g閚閞al, des figures ou des tableaux
   trop grands pour s'ins閞er harmonieusement dans le texte principal. On peut
-  ins閞er un objet flottant avec <apply|menu|Format|Page insertion|Floating
-  object>.
+  ins閞er un objet flottant avec <menu|Insert|Note|Floating object>.
 
   Vous pouvez aussi cr閑r un objet flottant et y ins閞er directement une
-  figure ou un tableau avec <apply|menu|Format|Page insertion|Floating
-  figure> resp. <apply|menu|Format|Page insertion|Floating table> Il se peut
-  que, parfois, vous souhaitiez ins閞er plusieurs petites figures ou tableaux
-  dans un objet flottant. Vous pouvez le faire avec
-  <apply|menu|Insert|Image|Small figure> resp. <apply|menu|Insert|Table|Small
-  table>.
+  figure ou un tableau avec <menu|Insert|Note|Floating figure> resp.
+  <menu|Insert|Note|Floating table> Il se peut que, parfois, vous souhaitiez
+  ins閞er plusieurs petites figures ou tableaux dans un objet flottant. Vous
+  pouvez le faire avec <menu|Insert|Image|Small figure> resp.
+  <menu|Insert|Table|Small table>.
 
   Apr鑣 avoir cr殚 un objet flottant, vous pouvez contr鬺er sa position avec
-  <apply|menu|Format|Page insertion|Position float> (quand vous 阾es dans la
-  zone de l'objet flottant). Vous pouvez sp閏ifier que l'objet flottant
-  apparaisse en haut ou en bas de page, directement dans le texte, ou sur la
-  page suivante. Par d閒aut, un objet flottant peut appara顃re n'importe o?
-  N閍nmoins, il ne peut appara顃re dans le texte principal ?moins de trois
-  lignes du haut ou du bas de page.
-
-  <apply|tmdoc-copyright|1998--2002|Joris van der Hoeven|Mich鑜e Garoche>
-
-  <expand|tmdoc-license|Permission is granted to copy, distribute and/or
-  modify this document under the terms of the GNU Free Documentation License,
-  Version 1.1 or any later version published by the Free Software Foundation;
-  with no Invariant Sections, with no Front-Cover Texts, and with no
-  Back-Cover Texts. A copy of the license is included in the section entitled
-  "GNU Free Documentation License".>
+  <menu|Focus|Allowed positions> (quand vous 阾es dans la zone de l'objet
+  flottant). Vous pouvez sp閏ifier que l'objet flottant apparaisse en haut ou
+  en bas de page, directement dans le texte, ou sur la page suivante. Par
+  d閒aut, un objet flottant peut appara顃re n'importe o? N閍nmoins, il ne
+  peut appara顃re dans le texte principal ?moins de trois lignes du haut ou
+  du bas de page.
+
+  <tmdoc-copyright|1998\U2002|Joris van der Hoeven|Mich鑜e Garoche>
+
+  <tmdoc-license|Permission is granted to copy, distribute and/or modify this
+  document under the terms of the GNU Free Documentation License, Version 1.1
+  or any later version published by the Free Software Foundation; with no
+  Invariant Sections, with no Front-Cover Texts, and with no Back-Cover
+  Texts. A copy of the license is included in the section entitled "GNU Free
+  Documentation License".>
 </body>
 
-<\initial>
-  <\collection>
-    <associate|paragraph width|150mm>
-    <associate|odd page margin|30mm>
-    <associate|shrinking factor|4>
-    <associate|page right margin|30mm>
-    <associate|page top margin|30mm>
-    <associate|reduction page right margin|25mm>
-    <associate|page type|a4>
-    <associate|reduction page bottom margin|15mm>
-    <associate|even page margin|30mm>
-    <associate|reduction page left margin|25mm>
-    <associate|page bottom margin|30mm>
-    <associate|reduction page top margin|15mm>
-    <associate|language|french>
-  </collection>
-</initial>
-
-<\references>
-  <\collection>
-    <associate|idx-5|<tuple|<uninit>|?>>
-    <associate|idx-6|<tuple|<uninit>|?>>
-    <associate|idx-1|<tuple|<uninit>|?>>
-    <associate|idx-2|<tuple|<uninit>|?>>
-    <associate|idx-3|<tuple|<uninit>|?>>
-    <associate|idx-4|<tuple|<uninit>|?>>
-  </collection>
-</references>
-
-<\auxiliary>
-  <\collection>
-    <\associate|idx>
-      <tuple|<tuple|<with|font family|<quote|ss>|Ins閞er>|<with|font
-      family|<quote|ss>|Insertion de page>|<with|font family|<quote|ss>|Objet
-      flottant>>|<pageref|idx-1>>
-
-      <tuple|<tuple|<with|font family|<quote|ss>|Ins閞er>|<with|font
-      family|<quote|ss>|Insertion de page>|<with|font
-      family|<quote|ss>|Figure flottante>>|<pageref|idx-2>>
-
-      <tuple|<tuple|<with|font family|<quote|ss>|Ins閞er>|<with|font
-      family|<quote|ss>|Insertion de page>|<with|font
-      family|<quote|ss>|Tableau flottant>>|<pageref|idx-3>>
-
-      <tuple|<tuple|<with|font family|<quote|ss>|Ins閞er>|<with|font
-      family|<quote|ss>|Image>|<with|font family|<quote|ss>|Petite
-      figure>>|<pageref|idx-4>>
-
-      <tuple|<tuple|<with|font family|<quote|ss>|Ins閞er>|<with|font
-      family|<quote|ss>|Tableau>|<with|font family|<quote|ss>|Petit
-      tableau>>|<pageref|idx-5>>
-
-      <tuple|<tuple|<with|font family|<quote|ss>|Ins閞er>|<with|font
-      family|<quote|ss>|Positionner flottant>>|<pageref|idx-6>>
-    </associate>
-  </collection>
-</auxiliary>
+<initial|<\collection>
+</collection>>
\ No newline at end of file
diff --git a/TeXmacs/doc/main/layout/man-float.it.tm b/TeXmacs/doc/main/layout/man-float.it.tm
index dba509f6e..b887500c6 100644
--- a/TeXmacs/doc/main/layout/man-float.it.tm
+++ b/TeXmacs/doc/main/layout/man-float.it.tm
@@ -1,100 +1,41 @@
-<TeXmacs|1.0.1.18>
+<TeXmacs|2.1.2>
 
-<style|tmdoc>
+<style|<tuple|tmdoc|italian|old-spacing|old-dots|old-lengths>>
 
 <\body>
-  <expand|tmdoc-title|Oggetti fluttuanti>
+  <tmdoc-title|Oggetti fluttuanti>
 
   Gli oggetti fluttuanti si possono muovere nella pagina indipendentemente
   dal testo principale. Generalmente essi contengono delle figure o delle
   tabelle che sono troppo grandi per adattarsi bene nel testo principale. Un
-  oggetto fluttuante pu?essere inserito tramite <apply|menu|Format|Page
-  insertion|Floating object>.
+  oggetto fluttuante pu?essere inserito tramite <menu|Insert|Note|Floating
+  object>.
 
   Si pu?anche creare un oggetto fluttuante e inserire direttamente in esso
-  una figura o una tabella utilizzando <apply|menu|Format|Page
-  insertion|Floating figure> e <apply|menu|Format|Page insertion|Floating
-  table>. A volte si pu?desiderare di inserire figure molte piccole o
-  tabelle in un oggetto fluttuante. Si pu?fare ci?usando
-  \ <apply|menu|Insert|Image|Small figure> e <apply|menu|Insert|Table|Small
+  una figura o una tabella utilizzando <menu|Insert|Note|Floating figure> e
+  <menu|Insert|Note|Floating table>. A volte si pu?desiderare di inserire
+  figure molte piccole o tabelle in un oggetto fluttuante. Si pu?fare ci?+  usando \ <menu|Insert|Image|Small figure> e <menu|Insert|Table|Small
   table>.
 
   Dopo aver creato un oggetto fluttuante, si pu?controllare la sua posizione
-  mediante <apply|menu|Format|Page insertion|Position float> (quando ci si
-  trova all'interno dell'oggetto fluttuante). Si pu?cos?specificare se si
-  vuole che l'oggetto compaia all'inizio della pagina, in basso, direttamente
-  nel testo o nella pagina successiva. Per default, l'oggetto fluttuante pu?-  comparire ovunque. Comunque, un oggetto fluttuante non potr?mai apparire
-  nel testo principale a meno di tre righe dalla fine e dall'inizio della
-  pagina.
-
-  <apply|tmdoc-copyright|1998--2003|Joris van der Hoeven|Lucia
-  Gecchelin|Andrea Centomo>
-
-  <expand|tmdoc-license|Permission is granted to copy, distribute and/or
-  modify this document under the terms of the GNU Free Documentation License,
-  Version 1.1 or any later version published by the Free Software Foundation;
-  with no Invariant Sections, with no Front-Cover Texts, and with no
-  Back-Cover Texts. A copy of the license is included in the section entitled
-  "GNU Free Documentation License".>
+  mediante <menu|Focus|Allowed positions> (quando ci si trova all'interno
+  dell'oggetto fluttuante). Si pu?cos?specificare se si vuole che l'oggetto
+  compaia all'inizio della pagina, in basso, direttamente nel testo o nella
+  pagina successiva. Per default, l'oggetto fluttuante pu?comparire ovunque.
+  Comunque, un oggetto fluttuante non potr?mai apparire nel testo principale
+  a meno di tre righe dalla fine e dall'inizio della pagina.
+
+  <tmdoc-copyright|1998\U2003|Joris van der Hoeven|Lucia Gecchelin|Andrea
+  Centomo>
+
+  <tmdoc-license|Permission is granted to copy, distribute and/or modify this
+  document under the terms of the GNU Free Documentation License, Version 1.1
+  or any later version published by the Free Software Foundation; with no
+  Invariant Sections, with no Front-Cover Texts, and with no Back-Cover
+  Texts. A copy of the license is included in the section entitled "GNU Free
+  Documentation License".>
 </body>
 
-<\initial>
-  <\collection>
-    <associate|paragraph width|150mm>
-    <associate|odd page margin|30mm>
-    <associate|shrinking factor|4>
-    <associate|page right margin|30mm>
-    <associate|page top margin|30mm>
-    <associate|reduction page right margin|25mm>
-    <associate|page type|a4>
-    <associate|reduction page bottom margin|15mm>
-    <associate|even page margin|30mm>
-    <associate|reduction page left margin|25mm>
-    <associate|page bottom margin|30mm>
-    <associate|reduction page top margin|15mm>
-    <associate|language|italian>
-  </collection>
-</initial>
-
-<\references>
-  <\collection>
-    <associate|idx-5|<tuple|<uninit>|?>>
-    <associate|idx-6|<tuple|<uninit>|?>>
-    <associate|idx-7|<tuple|<uninit>|?>>
-    <associate|idx-1|<tuple|<uninit>|?>>
-    <associate|idx-2|<tuple|<uninit>|?>>
-    <associate|idx-3|<tuple|<uninit>|?>>
-    <associate|idx-4|<tuple|<uninit>|?>>
-  </collection>
-</references>
-
-<\auxiliary>
-  <\collection>
-    <\associate|idx>
-      <tuple|<tuple|<with|font family|<quote|ss>|Inserisci>|<with|font
-      family|<quote|ss>|Inserimento di pagina>|<with|font
-      family|<quote|ss>|Oggetto fluttuante>>|<pageref|idx-1>>
-
-      <tuple|<tuple|<with|font family|<quote|ss>|Inserisci>|<with|font
-      family|<quote|ss>|Inserimento di pagina>|<with|font
-      family|<quote|ss>|Figura fluttuante>>|<pageref|idx-2>>
-
-      <tuple|<tuple|<with|font family|<quote|ss>|Inserisci>|<with|font
-      family|<quote|ss>|Inserimento di pagina>|<with|font
-      family|<quote|ss>|Tabella fluttuante>>|<pageref|idx-3>>
-
-      <tuple|<tuple|<with|font family|<quote|ss>|Inserisci>|<with|font
-      family|<quote|ss>|Immagine>|<with|font family|<quote|ss>|Figura
-      piccola>>|<pageref|idx-4>>
-
-      <tuple|<tuple|<with|font family|<quote|ss>|Inserisci>|<with|font
-      family|<quote|ss>|Tabella>|<with|font family|<quote|ss>|Tabella
-      piccola>>|<pageref|idx-5>>
-
-      <tuple|<tuple|<with|font family|<quote|ss>|Inserisci>|<with|font
-      family|<quote|ss>|Inserimento di pagina>|<with|font
-      family|<quote|ss>|Posiziona fluttuante>>|<pageref|idx-6>>
-    </associate>
-  </collection>
-</auxiliary>
+<initial|<\collection>
+</collection>>
\ No newline at end of file
diff --git a/TeXmacs/doc/main/layout/man-float.pl.tm b/TeXmacs/doc/main/layout/man-float.pl.tm
index c1ecbf7d5..c8a6bbffe 100644
--- a/TeXmacs/doc/main/layout/man-float.pl.tm
+++ b/TeXmacs/doc/main/layout/man-float.pl.tm
@@ -1,6 +1,6 @@
-<TeXmacs|1.0.3.6>
+<TeXmacs|2.1.2>
 
-<style|tmdoc>
+<style|<tuple|tmdoc|polish|old-spacing|old-dots|old-lengths>>
 
 <\body>
   <tmdoc-title|P獃waje obiekty>
@@ -8,22 +8,22 @@
   P獃waje obiekty mog?przemieszcza?si?po stronie niezale籲ie od gwnego
   tekstu. Zwykle zawieraj?wykresy i tablice kt髍e s?za du籩 aby 猘dnie
   dopasowa?si?do gwnego tekstu. P獃waje obiekty s?wstawiane poprzez
-  <menu|Format|Page insertion|Floating object>.
+  <menu|Insert|Note|Floating object>.
 
   Mo籲a r體nie?stworzy?p獃wajy obiekt i bezpo眗ednio umie眂i?w nim
-  obrazek lub tablic?poprzez <menu|Format|Page insertion|Floating figure>
-  odpowiednio <menu|Format|Page insertion|Floating table>. Oczywi眂ie w
-  p獃nny obiekt mo籲a wstawi?mniejsze obrazki lub tablice u粂waj
-  <menu|Insert|Image|Small figure> oraz <menu|Insert|Table|Small table>.
+  obrazek lub tablic?poprzez <menu|Insert|Note|Floating figure> odpowiednio
+  <menu|Insert|Note|Floating table>. Oczywi眂ie w p獃nny obiekt mo籲a wstawi?+  mniejsze obrazki lub tablice u粂waj <menu|Insert|Image|Small figure> oraz
+  <menu|Insert|Table|Small table>.
 
   Po stworzeniu obiektu mo籲a kontrolowa?jego pozycj?u粂waj
-  <menu|Insert|Position float> (oczywi眂ie b wewnrz obiektu). Okre眑a
+  <menu|Focus|Allowed positions> (oczywi眂ie b wewnrz obiektu). Okre眑a
   si?czy dopuszczalne jest pojawienie si?obiektu na g髍ze strony, na dole,
   bezpo眗ednio w tek眂ie oraz na nastnej stronie. Domy眑nie obiekt mo籩 by?   w tych wszystkich miejscach. Jednak籩, p獃nny obiekt nigdy nie pojawi si?   wewnrz gwnego tekstu na mniej ni?trzy linie od do猽 lub g髍y strony.
 
-  <tmdoc-copyright|1998--2002|Joris van der Hoeven>
+  <tmdoc-copyright|1998\U2002|Joris van der Hoeven>
 
   <tmdoc-license|Permission is granted to copy, distribute and/or modify this
   document under the terms of the GNU Free Documentation License, Version 1.1
@@ -33,20 +33,5 @@
   Documentation License".>
 </body>
 
-<\initial>
-  <\collection>
-    <associate|language|polish>
-    <associate|page-bot|30mm>
-    <associate|page-even|30mm>
-    <associate|page-odd|30mm>
-    <associate|page-reduce-bot|15mm>
-    <associate|page-reduce-left|25mm>
-    <associate|page-reduce-right|25mm>
-    <associate|page-reduce-top|15mm>
-    <associate|page-right|30mm>
-    <associate|page-top|30mm>
-    <associate|page-type|a4>
-    <associate|par-width|150mm>
-    <associate|sfactor|4>
-  </collection>
-</initial>
\ No newline at end of file
+<initial|<\collection>
+</collection>>
\ No newline at end of file
diff --git a/TeXmacs/doc/main/layout/man-float.pt.tm b/TeXmacs/doc/main/layout/man-float.pt.tm
index 7170d89bb..caecd6e4b 100644
--- a/TeXmacs/doc/main/layout/man-float.pt.tm
+++ b/TeXmacs/doc/main/layout/man-float.pt.tm
@@ -1,98 +1,40 @@
-<TeXmacs|1.0.1.20>
+<TeXmacs|2.1.2>
 
-<style|tmdoc>
+<style|<tuple|tmdoc|portuguese|old-spacing|old-dots|old-lengths>>
 
 <\body>
-  <expand|tmdoc-title|Objetos Flutuantes>
+  <tmdoc-title|Objetos Flutuantes>
 
   Objetos flutuantes podem mover-se na p醙ina de modo independente do corpo
   principal do texto. Normalmente eles cont閙 figuras ou tabelas que s鉶
   muito grandes para serem inseridas diretamente no corpo do texto. Um objeto
-  flutuante pode ser inserido com <apply|menu|Format|Page insertion|Floating
-  object>.
+  flutuante pode ser inserido com <menu|Insert|Note|Floating object>.
 
   Voc?tamb閙 pode criar um objeto flutuante e inserir diretamente a figura
-  ou tabela dentro dele com <apply|menu|Format|Page insertion|Floating
-  figure> ou <apply|menu|Format|Page insertion|Floating table>,
-  respectivamente. Algumas vezes, no entanto, voc?pode querer inserir v醨ias
-  figuras e tabelas dentro de um 鷑ico objeto flutuante. Voc?pode fazer isto
-  com <apply|menu|Insert|Image|Small figure> e <apply|menu|Insert|Table|Small
-  table>, respectivamente.
+  ou tabela dentro dele com <menu|Insert|Note|Floating figure> ou
+  <menu|Insert|Note|Floating table>, respectivamente. Algumas vezes, no
+  entanto, voc?pode querer inserir v醨ias figuras e tabelas dentro de um
+  鷑ico objeto flutuante. Voc?pode fazer isto com <menu|Insert|Image|Small
+  figure> e <menu|Insert|Table|Small table>, respectivamente.
 
   Depois de criar o objeto flutuante, voc?pode controlar sua posi玢o usando
-  <apply|menu|Insert|Position float> (quando o cursor estiver posicionado
-  dentro do objeto). Voc?pode especificar se quer que o objeto apare鏰 no
-  topo da p醙ina, no final da p醙ina, ou na p醙ina seguinte. O comportamento
-  padr鉶 permite que o objeto apare鏰 em qualquer uma destas posi珲es. Um
-  objeto flutuante, no entanto, nunca ser?inserido dentro do fluxo de texto
-  normal a menos que existam tr阺 ou mais linhas antes do fim ou depois do
-  come鏾 da p醙ina.
-
-  <apply|tmdoc-copyright|1998--2003|Joris van der Hoeven|Ramiro Brito
-  Willmersdorf>
-
-  <expand|tmdoc-license|Permission is granted to copy, distribute and/or
-  modify this document under the terms of the GNU Free Documentation License,
-  Version 1.1 or any later version published by the Free Software Foundation;
-  with no Invariant Sections, with no Front-Cover Texts, and with no
-  Back-Cover Texts. A copy of the license is included in the section entitled
-  "GNU Free Documentation License".>
+  <menu|Focus|Allowed positions> (quando o cursor estiver posicionado dentro
+  do objeto). Voc?pode especificar se quer que o objeto apare鏰 no topo da
+  p醙ina, no final da p醙ina, ou na p醙ina seguinte. O comportamento padr鉶
+  permite que o objeto apare鏰 em qualquer uma destas posi珲es. Um objeto
+  flutuante, no entanto, nunca ser?inserido dentro do fluxo de texto normal
+  a menos que existam tr阺 ou mais linhas antes do fim ou depois do come鏾 da
+  p醙ina.
+
+  <tmdoc-copyright|1998\U2003|Joris van der Hoeven|Ramiro Brito Willmersdorf>
+
+  <tmdoc-license|Permission is granted to copy, distribute and/or modify this
+  document under the terms of the GNU Free Documentation License, Version 1.1
+  or any later version published by the Free Software Foundation; with no
+  Invariant Sections, with no Front-Cover Texts, and with no Back-Cover
+  Texts. A copy of the license is included in the section entitled "GNU Free
+  Documentation License".>
 </body>
 
-<\initial>
-  <\collection>
-    <associate|paragraph width|150mm>
-    <associate|odd page margin|30mm>
-    <associate|shrinking factor|4>
-    <associate|page right margin|30mm>
-    <associate|page top margin|30mm>
-    <associate|reduction page right margin|25mm>
-    <associate|page type|a4>
-    <associate|reduction page bottom margin|15mm>
-    <associate|even page margin|30mm>
-    <associate|reduction page left margin|25mm>
-    <associate|page bottom margin|30mm>
-    <associate|reduction page top margin|15mm>
-    <associate|language|portuguese>
-  </collection>
-</initial>
-
-<\references>
-  <\collection>
-    <associate|idx-5|<tuple|<uninit>|?>>
-    <associate|idx-6|<tuple|<uninit>|?>>
-    <associate|idx-1|<tuple|<uninit>|?>>
-    <associate|idx-2|<tuple|<uninit>|?>>
-    <associate|idx-3|<tuple|<uninit>|?>>
-    <associate|idx-4|<tuple|<uninit>|?>>
-  </collection>
-</references>
-
-<\auxiliary>
-  <\collection>
-    <\associate|idx>
-      <tuple|<tuple|<with|font family|<quote|ss>|Inserir>|<with|font
-      family|<quote|ss>|Inser玢o de p醙ina>|<with|font
-      family|<quote|ss>|Objeto flutuante>>|<pageref|idx-1>>
-
-      <tuple|<tuple|<with|font family|<quote|ss>|Inserir>|<with|font
-      family|<quote|ss>|Inser玢o de p醙ina>|<with|font
-      family|<quote|ss>|Figura flutuante>>|<pageref|idx-2>>
-
-      <tuple|<tuple|<with|font family|<quote|ss>|Inserir>|<with|font
-      family|<quote|ss>|Inser玢o de p醙ina>|<with|font
-      family|<quote|ss>|Tabela flututante>>|<pageref|idx-3>>
-
-      <tuple|<tuple|<with|font family|<quote|ss>|Inserir>|<with|font
-      family|<quote|ss>|Imagem>|<with|font family|<quote|ss>|Figura
-      pequena>>|<pageref|idx-4>>
-
-      <tuple|<tuple|<with|font family|<quote|ss>|Inserir>|<with|font
-      family|<quote|ss>|Tabela>|<with|font family|<quote|ss>|Tabela
-      pequena>>|<pageref|idx-5>>
-
-      <tuple|<tuple|<with|font family|<quote|ss>|Inserir>|<with|font
-      family|<quote|ss>|Posicionar flutuatante>>|<pageref|idx-6>>
-    </associate>
-  </collection>
-</auxiliary>
+<initial|<\collection>
+</collection>>
\ No newline at end of file
diff --git a/TeXmacs/doc/main/layout/man-float.zh.tm b/TeXmacs/doc/main/layout/man-float.zh.tm
index b05dd7f37..64f42c6a0 100644
--- a/TeXmacs/doc/main/layout/man-float.zh.tm
+++ b/TeXmacs/doc/main/layout/man-float.zh.tm
@@ -1,22 +1,23 @@
-<TeXmacs|1.99.2>
+<TeXmacs|2.1.2>
 
-<style|<tuple|tmdoc|chinese>>
+<style|<tuple|tmdoc|chinese|old-spacing|old-dots|old-lengths>>
 
 <\body>
   <tmdoc-title|\<#6D6E\>\<#52A8\>\<#5BF9\>\<#8C61\>>
 
-  \<#6D6E\>\<#52A8\>\<#5BF9\>\<#8C61\>\<#53EF\>\<#4EE5\>\<#5728\>\<#9875\>\<#9762\>\<#4E0A\>\<#76F8\>\<#5BF9\>\<#6B63\>\<#6587\>\<#72EC\>\<#7ACB\>\<#79FB\>\<#52A8\>\<#3002\>\<#56FE\>\<#7247\>\<#6216\>\<#8005\>\<#8868\>\<#683C\>\<#592A\>\<#5927\>\<#FF0C\>\<#800C\>\<#65E0\>\<#6CD5\>\<#5B8C\>\<#7F8E\>\<#63D2\>\<#5165\>\<#6B63\>\<#6587\>\<#FF0C\>\<#6B64\>\<#65F6\>\<#4FBF\>\<#53EF\>\<#4F7F\>\<#7528\>\<#6D6E\>\<#52A8\>\<#5BF9\>\<#8C61\>\<#89E3\>\<#51B3\>\<#95EE\>\<#9898\>\<#3002\>\<#4F7F\>\<#7528\><menu|Format|Page
-  insertion|Floating object>\<#53EF\>\<#63D2\>\<#5165\>\<#6D6E\>\<#52A8\>\<#5BF9\>\<#8C61\>\<#3002\>
+  \<#6D6E\>\<#52A8\>\<#5BF9\>\<#8C61\>\<#53EF\>\<#4EE5\>\<#5728\>\<#9875\>\<#9762\>\<#4E0A\>\<#76F8\>\<#5BF9\>\<#6B63\>\<#6587\>\<#72EC\>\<#7ACB\>\<#79FB\>\<#52A8\>\<#3002\>\<#56FE\>\<#7247\>\<#6216\>\<#8005\>\<#8868\>\<#683C\>\<#592A\>\<#5927\>\<#FF0C\>\<#800C\>\<#65E0\>\<#6CD5\>\<#5B8C\>\<#7F8E\>\<#63D2\>\<#5165\>\<#6B63\>\<#6587\>\<#FF0C\>\<#6B64\>\<#65F6\>\<#4FBF\>\<#53EF\>\<#4F7F\>\<#7528\>\<#6D6E\>\<#52A8\>\<#5BF9\>\<#8C61\>\<#89E3\>\<#51B3\>\<#95EE\>\<#9898\>\<#3002\>\<#4F7F\>\<#7528\><menu|Insert|Note|Floating
+  object>\<#53EF\>\<#63D2\>\<#5165\>\<#6D6E\>\<#52A8\>\<#5BF9\>\<#8C61\>\<#3002\>
 
-  \<#60A8\>\<#4E5F\>\<#53EF\>\<#4EE5\>\<#5206\>\<#522B\>\<#4F7F\>\<#7528\><menu|Format|Page
-  insertion|Floating figure>\<#6216\>\<#8005\><menu|Format|Page
-  insertion|Floating table>\<#76F4\>\<#63A5\>\<#63D2\>\<#5165\>\<#56FE\>\<#7247\>\<#6216\>\<#8005\>\<#8868\>\<#683C\>\<#3002\>\<#6709\>\<#65F6\>\<#5019\>\<#FF0C\>\<#9700\>\<#8981\>\<#5C06\>\<#591A\>\<#4E2A\>\<#5C0F\>\<#56FE\>\<#7247\>\<#6216\>\<#8005\>\<#591A\>\<#4E2A\>\<#5C0F\>\<#8868\>\<#683C\>\<#5408\>\<#5E76\>\<#6210\>\<#4E00\>\<#4E2A\>\<#6D6E\>\<#52A8\>\<#5BF9\>\<#8C61\>\<#FF0C\>\<#6B64\>\<#65F6\>\<#5206\>\<#522B\><menu|Insert|Image|Small
+  \<#60A8\>\<#4E5F\>\<#53EF\>\<#4EE5\>\<#5206\>\<#522B\>\<#4F7F\>\<#7528\><menu|Insert|Note|Floating
+  figure>\<#6216\>\<#8005\><menu|Insert|Note|Floating
+  table>\<#76F4\>\<#63A5\>\<#63D2\>\<#5165\>\<#56FE\>\<#7247\>\<#6216\>\<#8005\>\<#8868\>\<#683C\>\<#3002\>\<#6709\>\<#65F6\>\<#5019\>\<#FF0C\>\<#9700\>\<#8981\>\<#5C06\>\<#591A\>\<#4E2A\>\<#5C0F\>\<#56FE\>\<#7247\>\<#6216\>\<#8005\>\<#591A\>\<#4E2A\>\<#5C0F\>\<#8868\>\<#683C\>\<#5408\>\<#5E76\>\<#6210\>\<#4E00\>\<#4E2A\>\<#6D6E\>\<#52A8\>\<#5BF9\>\<#8C61\>\<#FF0C\>\<#6B64\>\<#65F6\>\<#5206\>\<#522B\><menu|Insert|Image|Small
   figure>\<#6216\>\<#8005\><menu|Insert|Table|Small table>\<#3002\>
 
-  \<#521B\>\<#5EFA\>\<#6D6E\>\<#52A8\>\<#5BF9\>\<#8C61\>\<#540E\>\<#FF0C\>\<#60A8\>\<#53EF\>\<#7528\><menu|Insert|Position
-  float>\<#6765\>\<#79FB\>\<#52A8\>\<#5BF9\>\<#8C61\>\<#3002\>\<#60A8\>\<#53EF\>\<#4EE5\>\<#6307\>\<#5B9A\>\<#5B83\>\<#662F\>\<#5728\>\<#9875\>\<#9762\>\<#9876\>\<#90E8\>\<#3001\>\<#5E95\>\<#90E8\>\<#3001\>\<#6587\>\<#672C\>\<#4E2D\>\<#8FD8\>\<#662F\>\<#5728\>\<#4E0B\>\<#4E00\>\<#9875\>\<#3002\>\<#9ED8\>\<#8BA4\>\<#5730\>\<#FF0C\>\<#6D6E\>\<#52A8\>\<#5BF9\>\<#8C61\>\<#53EF\>\<#5728\>\<#4EFB\>\<#4F55\>\<#4F4D\>\<#7F6E\>\<#51FA\>\<#73B0\>\<#3002\>\<#7136\>\<#800C\>\<#FF0C\>\<#6D6E\>\<#52A8\>\<#5BF9\>\<#8C61\>\<#4E0D\>\<#53EF\>\<#80FD\>\<#5728\>\<#79BB\>\<#9876\>\<#90E8\>\<#6216\>\<#8005\>\<#5E95\>\<#90E8\>\<#5C0F\>\<#4E8E\>\<#4E09\>\<#884C\>\<#6587\>\<#672C\>\<#8DDD\>\<#79BB\>\<#5904\>\<#4E2D\>\<#51FA\>\<#73B0\>\<#3002\>
+  \<#521B\>\<#5EFA\>\<#6D6E\>\<#52A8\>\<#5BF9\>\<#8C61\>\<#540E\>\<#FF0C\>\<#60A8\>\<#53EF\>\<#7528\><menu|Focus|Allowed
+  positions>\<#6765\>\<#79FB\>\<#52A8\>\<#5BF9\>\<#8C61\>\<#3002\>\<#60A8\>\<#53EF\>\<#4EE5\>\<#6307\>\<#5B9A\>\<#5B83\>\<#662F\>\<#5728\>\<#9875\>\<#9762\><localize|top>\<#3001\><localize|bottom>\<#3001\><localize|here>\<#8FD8\>\<#662F\>\<#5728\><localize|other
+  pages>\<#3002\>\<#9ED8\>\<#8BA4\>\<#5730\>\<#FF0C\>\<#6D6E\>\<#52A8\>\<#5BF9\>\<#8C61\>\<#53EF\>\<#5728\>\<#4EFB\>\<#4F55\>\<#4F4D\>\<#7F6E\>\<#51FA\>\<#73B0\>\<#3002\>\<#7136\>\<#800C\>\<#FF0C\>\<#6D6E\>\<#52A8\>\<#5BF9\>\<#8C61\>\<#4E0D\>\<#53EF\>\<#80FD\>\<#5728\>\<#79BB\>\<#9876\>\<#90E8\>\<#6216\>\<#8005\>\<#5E95\>\<#90E8\>\<#5C0F\>\<#4E8E\>\<#4E09\>\<#884C\>\<#6587\>\<#672C\>\<#8DDD\>\<#79BB\>\<#5904\>\<#4E2D\>\<#51FA\>\<#73B0\>\<#3002\>
 
-  <tmdoc-copyright|1998--2002|Joris van der Hoeven>
+  <tmdoc-copyright|1998\U2002|Joris van der Hoeven>
 
   <tmdoc-license|Permission is granted to copy, distribute and/or modify this
   document under the terms of the GNU Free Documentation License, Version 1.1
diff --git a/devel/18.tm b/devel/18.tm
index 33d789fc5..76f2feda9 100644
--- a/devel/18.tm
+++ b/devel/18.tm
@@ -15,7 +15,7 @@
     <tformat|<cwith|1|1|4|4|cell-valign|b>|<table|<row|<\cell>
       Doc
     </cell>|<\cell>
-      18_1
+      <dlink|18_1>
     </cell>|<\cell>
       jingkaimori
     </cell>|<\cell>
diff --git a/devel/18_1.tm b/devel/18_1.tm
new file mode 100644
index 000000000..d8fb408ca
--- /dev/null
+++ b/devel/18_1.tm
@@ -0,0 +1,29 @@
+<TeXmacs|2.1.2>
+
+<style|<tuple|tmdoc|chinese>>
+
+<\body>
+  <tmdoc-title|Improve document of float object>
+
+  <section|Bug metadata>
+
+  <\description>
+    <item*|Owner>jingkaimori
+
+    <item*|Gitee issue><slink|https://gitee.com/XmacsLabs/mogan/issues/I6UVXL>
+
+    <item*|Related savannah commit><hlink|9796|https://svn.savannah.gnu.org/viewvc/texmacs?view=revision&revision=9796>
+  </description>
+
+  <tmdoc-copyright|2022|jingkaimori>
+
+  <tmdoc-license|Permission is granted to copy, distribute and/or modify this
+  document under the terms of the GNU Free Documentation License, Version 1.1
+  or any later version published by the Free Software Foundation; with no
+  Invariant Sections, with no Front-Cover Texts, and with no Back-Cover
+  Texts. A copy of the license is included in the section entitled "GNU Free
+  Documentation License".>
+</body>
+
+<initial|<\collection>
+</collection>>
\ No newline at end of file
